Package org.eclipse.ecf.remoteservice.rest.client

## Class AbstractRestClientService

- java.lang.Object
- - org.eclipse.ecf.remoteservice.asyncproxy.AbstractAsyncProxyRemoteService
  - - org.eclipse.ecf.remoteservice.AbstractRemoteService
    - - org.eclipse.ecf.remoteservice.client.AbstractClientService
      - - org.eclipse.ecf.remoteservice.rest.client.AbstractRestClientService

All Implemented Interfaces:
  `InvocationHandler`, `IRemoteService`

Direct Known Subclasses:
  `RestClientService`

    public abstract class AbstractRestClientService
    extends AbstractClientService

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ecf.remoteservice.client.AbstractClientService

`AbstractClientService.AsyncResult, AbstractClientService.UriRequest`

### Nested classes/interfaces inherited from class org.eclipse.ecf.remoteservice.AbstractRemoteService

`AbstractRemoteService.AsyncArgs, AbstractRemoteService.ProxyClassLoader`

### Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.client.AbstractClientService

`container, registration`

### Fields inherited from class org.eclipse.ecf.remoteservice.AbstractRemoteService

`EMPTY_ARGS, futureExecutorService, futureExecutorServiceMaxThreads, iFutureExecutor`

### Constructor Summary

Constructors
`AbstractRestClientService​(AbstractClientContainer container, RemoteServiceClientRegistration registration)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `handleException​(String message, Throwable e, int responseCode)`
`protected void` `handleException​(String message, Throwable e, int responseCode, byte[] responseBody)`
`protected void` `logException​(String string, Throwable e)`
`protected void` `logWarning​(String string, Throwable e)`
`protected void` `trace​(String methodName, String message)`

### Methods inherited from class org.eclipse.ecf.remoteservice.client.AbstractClientService

`callAsync, callAsync, callAsync, callAsync, callSync, createUriRequest, fireAsync, getCallMethodNameForProxyInvoke, getCallParametersForProxyInvoke, getClientContainer, getInterfaceClassNames, getNextRequestID, getRegistration, getRemoteServiceID, getRemoteServiceReference, handleInvokeException, invokeRemoteCall, invokeSync, prepareEndpointAddress, prepareParameters, processResponse`

### Methods inherited from class org.eclipse.ecf.remoteservice.AbstractRemoteService

`addAsyncProxyClasses, addRemoteServiceProxyToProxy, callAsync, callAsync, callAsyncWithResult, callAsyncWithTimeout, callAsyncWithTimeout, callCompletableAsync, callFutureAsync, callFutureAsync, callSync, convertInterfaceNameToAsyncInterfaceName, createProxy, createProxy, createRCCE, createRCCEFailure, createRCCESuccess, createRemoteCall, dispose, findAsyncRemoteServiceProxyClass, findAsyncRemoteServiceProxyClass, getAsyncArgs, getAsyncInvokeMethodName, getAsyncRemoteCall, getCallTimeoutForProxyInvoke, getDefaultTimeout, getFutureExecutorService, getIFutureExecutor, getProxy, getProxy, getRemoteService, getRemoteServiceProxyCreator, handleInvokeSyncException, handleProxyException, invoke, invokeAsync, invokeObject, invokeReturnAsync, isAsync, isInterfaceAsync, isMethodAsync, isOSGIAsync, loadInterfaceClass, loadInterfaceClass, setFutureExecutorService, setIFutureExecutor`

### Methods inherited from class org.eclipse.ecf.remoteservice.asyncproxy.AbstractAsyncProxyRemoteService

`callFuture, isReturnAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractRestClientService

    public AbstractRestClientService​(AbstractClientContainer container,
                                     RemoteServiceClientRegistration registration)

### Method Detail

#### trace

    protected void trace​(String methodName,
                         String message)

#### logException

    protected void logException​(String string,
                                Throwable e)

#### logWarning

    protected void logWarning​(String string,
                              Throwable e)

Overrides:
  `logWarning` in class `AbstractRemoteService`

#### handleException

    protected void handleException​(String message,
                                   Throwable e,
                                   int responseCode,
                                   byte[] responseBody)
                            throws RestException

Throws:
  `RestException`

#### handleException

    protected void handleException​(String message,
                                   Throwable e,
                                   int responseCode)
                            throws RestException

Throws:
  `RestException`